﻿// Системная информация
//  

#Область ПрограммныйИнтерфейс

// Возвращает параметры соединения с информационной базой
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Стурктура - вида
//
Функция ИнформационнаяБазаСоединениеПараметры() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ИнформационнаяБазаСоединениеПараметры();

КонецФункции // ИнформационнаяБазаСоединениеПараметры 

// Возвращает сервер приложения информационной базы
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция ИнформационнаяБазаСерверПриложения() Экспорт
	
	Возврат ИнформационнаяБазаСоединениеПараметры().СерверПриложения;
	
КонецФункции // ИнформационнаяБазаСерверПриложения 

// Возвращает идентификатор информационной базы на сервере приложений
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция ИнформационнаяБазаИдентификатор() Экспорт
	
	Возврат ИнформационнаяБазаСоединениеПараметры().ИнформационнаяБаза;
	
КонецФункции // ИнформационнаяБазаИдентификатор 

// Возвращает каталог информационной базы
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Строка
//
Функция ИнформационнаяБазаКаталог() Экспорт
	
	Возврат ИнформационнаяБазаСоединениеПараметры().Каталог;
	
КонецФункции // ИнформационнаяБазаКаталог 

// Истина, если информационная база файловая
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Булево
//
Функция ИнформационнаяБазаФайловая() Экспорт
	
	Возврат ИнформационнаяБазаСоединениеПараметры().Файловая;
	
КонецФункции // ИнформационнаяБазаФайловая 

// Истина, если информационная база клиент-серверная
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Булево
//
Функция ИнформационнаяБазаКлиентСерверная() Экспорт
	
	Возврат НЕ ИнформационнаяБазаФайловая();
	
КонецФункции // ИнформационнаяБазаКлиентСерверная 

// Возвращает версия приложения. Например 8.2.19.103
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 
Функция ПриложениеВерсия() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПриложениеВерсия();
	
КонецФункции // ПриложениеВерсия 

// Возвращает идентификатор клиента
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	УникальныйИдентификатор
// 
Функция КлиентИдентификатор() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.КлиентИдентификатор();
	
КонецФункции // КлиентИдентификатор 

// Возвращает размер оперативной памяти
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Число
// 
Функция ПамятьКоличество() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПамятьКоличество();
	
КонецФункции // ПамятьКоличество 

// Возвращает тип процессора
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Строка
// 
Функция Процессор() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.Процессор();
	
КонецФункции // Процессор

// Возвращает тип платформы (windows/linux/...)
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	ТипПлатформы|Неопредеелно
// 
Функция ПлатформаТип() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаТип();
	
КонецФункции // ПлатформаТип 

// Истина, если платформа выполнения Windows x86
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаWindows32Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаWindows32Это();
	
КонецФункции // ПлатформаWindows32Это 

// Истина, если платформа выполнения Windows x86 64
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаWindows64Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаWindows64Это();
	
КонецФункции // ПлатформаWindows64Это 

// Истина, если платформа выполнения Mac x86
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаMac32Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаMac32Это();
	
КонецФункции // ПлатформаMac32Это 

// Истина, если платформа выполнения Mac x86 64
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаMac64Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаMac64Это();
	
КонецФункции // ПлатформаMac64Это 

// Истина, если платформа выполнения Linux x86
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаLinux32Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаLinux32Это();
	
КонецФункции // ПлатформаLinux32Это 

// Истина, если платформа выполнения Linux x86 64
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаLinux64Это() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаLinux64Это();
	
КонецФункции // ПлатформаLinux64Это 

// Истина, если платформа выполнения Windows
// 
// Параметры:  
// 
// Возвращаемое значение: 
//  Булево
// 
Функция ПлатформаWindowsЭто() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаWindowsЭто();
	
КонецФункции // ПлатформаWindowsЭто 

// Истина, если платформа выполнения MacOS
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаMacЭто() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаMacЭто();
	
КонецФункции // ПлатформаMacЭто 

// Истина, если платформа выполнения Linux
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Булево
// 
Функция ПлатформаLinuxЭто() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.ПлатформаLinuxЭто();
	
КонецФункции // ПлатформаLinuxЭто 

// Возвращает символ разделитель каталогов
// 
// Параметры:  
// 
// Возвращаемое значение: 
// 	Строка
// 
Функция КаталогиСимволРазделитель() Экспорт
	
	Возврат оптерп_СистемаИнформацияПовтИсп.КаталогиСимволРазделитель();
	
КонецФункции // КаталогиСимволРазделитель 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти
